diff --git a/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
index a65f02189..6a56aba7f 100644
--- a/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
+++ b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
@@ -427,358 +413,297 @@ public class PacketHandlerServer extends PacketHandler
                 TilePos chunkcoordinates = worldserver.getSpawnPoint();
                 int i1 = (int) MathHelper.abs(x - chunkcoordinates.x);
                 int j1 = (int) MathHelper.abs(z - chunkcoordinates.z);
-                if (i1 > j1)
-                {
+                if (i1 > j1) {
                     j1 = i1;
                 }
-                if (hasMoved && playerEntity.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) < 64D && (j1 > mcServer.spawnProtectionRange || ignoreSpawnProtection))
-                {
-                    playerEntity.playerController.placeItemStackOnTile(playerEntity, worldserver, itemstack, x, y, z, direction.getSide(), xPlaced, yPlaced);
+                if (this.hasMoved && this.playerEntity.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) < 64D && (j1 > this.mcServer.spawnProtectionRange || ignoreSpawnProtection)) {
+                    this.playerEntity.playerController.placeItemStackOnTile(this.playerEntity, worldserver, itemstack, x, y, z, direction.getSide(), xPlaced, yPlaced);
                 }
-                playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
+                this.playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
                 x += direction.getOffsetX();
                 y += direction.getOffsetY();
                 z += direction.getOffsetZ();
-                playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
+                this.playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
                 break;
             }
         }
-        itemstack = playerEntity.inventory.getCurrentItem();
-        if (itemstack != null && itemstack.stackSize <= 0)
-        {
-            playerEntity.inventory.mainInventory[playerEntity.inventory.getCurrentItemIndex()] = null;
+        itemstack = this.playerEntity.inventory.getCurrentItem();
+        if (itemstack != null && itemstack.stackSize <= 0) {
+            this.playerEntity.inventory.mainInventory[this.playerEntity.inventory.getCurrentItemIndex()] = null;
         }
-        playerEntity.isChangingQuantityOnly = true;
-        playerEntity.inventory.mainInventory[playerEntity.inventory.getCurrentItemIndex()] = ItemStack.copyItemStack(playerEntity.inventory.mainInventory[playerEntity.inventory.getCurrentItemIndex()]);
-        Slot slot = playerEntity.craftingInventory.getSlotFor(playerEntity.inventory, playerEntity.inventory.getCurrentItemIndex());
-        playerEntity.craftingInventory.broadcastChanges();
-        playerEntity.isChangingQuantityOnly = false;
+        this.playerEntity.isChangingQuantityOnly = true;
+        this.playerEntity.inventory.mainInventory[this.playerEntity.inventory.getCurrentItemIndex()] = ItemStack.copyItemStack(this.playerEntity.inventory.mainInventory[this.playerEntity.inventory.getCurrentItemIndex()]);
+        Slot slot = this.playerEntity.craftingInventory.getSlotFor(this.playerEntity.inventory, this.playerEntity.inventory.getCurrentItemIndex());
+        this.playerEntity.craftingInventory.broadcastChanges();
+        this.playerEntity.isChangingQuantityOnly = false;
         if (slot == null) {
-            LOGGER.warn("Couldn't find slot for index '{}' in {}'s inventory while they were in the {} container!", playerEntity.inventory.getCurrentItemIndex(), playerEntity.username, playerEntity.craftingInventory.getClass().getSimpleName());
+            LOGGER.warn("Couldn't find slot for index '{}' in {}'s inventory while they were in the {} container!", this.playerEntity.inventory.getCurrentItemIndex(), this.playerEntity.username, this.playerEntity.craftingInventory.getClass().getSimpleName());
             return;
         }
-        if (!ItemStack.areItemStacksEqual(playerEntity.inventory.getCurrentItem(), packet.itemStack))
-        {
-            sendPacket(new PacketContainerSetSlot(playerEntity.craftingInventory.containerId, slot.index, playerEntity.inventory.getCurrentItem()));
+        if (!ItemStack.areItemStacksEqual(this.playerEntity.inventory.getCurrentItem(), packet.itemStack)) {
+            sendPacket(new PacketContainerSetSlot(this.playerEntity.craftingInventory.containerId, slot.index, this.playerEntity.inventory.getCurrentItem()));
         }
     }
 
     @Override
-    public void handleErrorMessage(String message, Object[] objects)
-    {
-        LOGGER.info(playerEntity.username + " lost connection: " + message);
-        mcServer.playerList.sendPacketToAllPlayers(new PacketChat(playerEntity.getDisplayName() + TextFormatting.YELLOW + " left the game."));
-        mcServer.playerList.updatePlayerProfile(playerEntity.username, playerEntity.nickname, playerEntity.uuid, playerEntity.score, playerEntity.chatColor, false, playerEntity.isOperator());
-        mcServer.playerList.playerLoggedOut(playerEntity);
-        connectionClosed = true;
-        if (MinecraftServer.statsStatus)
-        {
-            RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + MinecraftServer.statsToken + "&count=" + mcServer.playerList.playerEntities.size());
+    public void handleErrorMessage(String message, Object[] objects) {
+        LOGGER.info(this.playerEntity.username + " lost connection: " + message);
+        this.mcServer.playerList.sendPacketToAllPlayers(new PacketChat(this.playerEntity.getDisplayName() + TextFormatting.YELLOW + " left the game."));
+        this.mcServer.playerList.updatePlayerProfile(this.playerEntity.username, this.playerEntity.nickname, this.playerEntity.uuid, this.playerEntity.score, this.playerEntity.chatColor, false, this.playerEntity.isOperator());
+        this.mcServer.playerList.playerLoggedOut(this.playerEntity);
+        this.connectionClosed = true;
+        if (MinecraftServer.statsStatus) {
+            RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + MinecraftServer.statsToken + "&count=" + this.mcServer.playerList.playerEntities.size());
         }
         PlayerListBox.updateList();
     }
 
     @Override
-    public void handleInvalidPacket(Packet packet)
-    {
+    public void handleInvalidPacket(@NotNull Packet packet) {
         LOGGER.warn("{} wasn't prepared to deal with a {}", getClass(), packet.getClass());
         kickPlayer("Protocol error, unexpected packet");
     }
 
-    public void sendPacket(Packet packet)
-    {
-        netManager.addToSendQueue(packet);
-        field_22004_g = field_15_f;
+    public void sendPacket(Packet packet) {
+        this.netManager.addToSendQueue(packet);
+        this.field_22004_g = this.field_15_f;
     }
 
     @Override
-    public void handleBlockItemSwitch(PacketSetCarriedItem setCarriedItemPacket)
-    {
-        if (setCarriedItemPacket.id < 0 || setCarriedItemPacket.id > ContainerInventory.playerMainInventorySize())
-        {
-            LOGGER.warn("{} tried to set an invalid carried item", playerEntity.username);
-        }
-        else
-        {
-            playerEntity.inventory.setCurrentItemIndex(setCarriedItemPacket.id, false);
-            if (setCarriedItemPacket.id != playerEntity.inventory.getCurrentItemIndex()) { // If client tried to set current item while locked then send a packet back attempting to resync them
-                sendPacket(new PacketSetCarriedItem(setCarriedItemPacket.id));
+    public void handleSetCarriedItem(@NotNull PacketSetCarriedItem packetSetCarriedItem) {
+        if (packetSetCarriedItem.id < 0 || packetSetCarriedItem.id > ContainerInventory.playerMainInventorySize()) {
+            LOGGER.warn("{} tried to set an invalid carried item", this.playerEntity.username);
+        } else {
+            this.playerEntity.inventory.setCurrentItemIndex(packetSetCarriedItem.id, false);
+            if (packetSetCarriedItem.id != this.playerEntity.inventory.getCurrentItemIndex()) { // If client tried to set current item while locked then send a packet back attempting to resync them
+                sendPacket(new PacketSetCarriedItem(packetSetCarriedItem.id));
             }
         }
     }
 
-	@Override
-	public void handleChat(PacketChat packet) {
-		String message;
-		if(packet.encrypted) {
-			try {
-				message = AES.decrypt(packet.message, AES.keyChain.get(playerEntity.username));
-			}catch (Exception e) {
-				throw new RuntimeException(PacketChat.ENCRYPTION_ERROR_MESSAGE, e);
-			}
-		}else {
-			message = packet.message;
-		}
-		
-		if(message.length() > 256) {
-			message = message.substring(0, 255);
-		}
-		
-		message = message.trim();
+    @Override
+    public void handleChat(@NotNull PacketChat packet) {
+        String message;
+        if (packet.encrypted) {
+            try {
+                message = AES.decrypt(packet.message, AES.keyChain.get(this.playerEntity.username));
+            } catch (Exception e) {
+                throw new RuntimeException(PacketChat.ENCRYPTION_ERROR_MESSAGE, e);
+            }
+        } else {
+            message = packet.message;
+        }
+
+        if (message.length() > 256) {
+            message = message.substring(0, 255);
+        }
+
+        message = message.trim();
 //		message = message.replace('§', '$');
-		
-		for(int i = 0; i < message.length(); i++) {
-			char c = message.charAt(i);
-			if(ChatAllowedCharacters.ALLOWED_CHARACTERS.indexOf(c) < 0) {
-				sendPacket(new PacketChat(String.valueOf(TextFormatting.GRAY) + TextFormatting.ITALIC + "[SERVER] Illegal characters in chat message."));
-				return;
-			}
-		}
-		
-		if(message.startsWith("/")) {
-			handleSlashCommand(message);
-		}else {
-			message = ChatEmotes.process(message);
-			message = "<" + playerEntity.getDisplayName() + TextFormatting.RESET + "> " + TextFormatting.WHITE + message;
-			LOGGER.info(message);
-			mcServer.playerList.sendEncryptedChatToAllPlayers(message);
-		}
-	}
-
-    private void handleSlashCommand(String s)
-    {
-        ServerCommandSource serverCommandSource = new ServerCommandSource(mcServer, playerEntity);
+
+        for (int i = 0; i < message.length(); i++) {
+            char c = message.charAt(i);
+            if (ChatAllowedCharacters.ALLOWED_CHARACTERS.indexOf(c) < 0) {
+                sendPacket(new PacketChat(String.valueOf(TextFormatting.GRAY) + TextFormatting.ITALIC + "[SERVER] Illegal characters in chat message."));
+                return;
+            }
+        }
+
+        if (message.startsWith("/")) {
+            handleSlashCommand(message);
+        } else {
+            message = ChatEmotes.process(message);
+            message = "<" + this.playerEntity.getDisplayName() + TextFormatting.RESET + "> " + TextFormatting.WHITE + message;
+            LOGGER.info(message);
+            this.mcServer.playerList.sendEncryptedChatToAllPlayers(message);
+        }
+    }
+
+    private void handleSlashCommand(String s) {
+        ServerCommandSource serverCommandSource = new ServerCommandSource(this.mcServer, this.playerEntity);
         try {
-            playerEntity.world.getCommandManager().execute(s.substring(1), serverCommandSource);
+            this.playerEntity.world.getCommandManager().execute(s.substring(1), serverCommandSource);
         } catch (CommandSyntaxException e) {
-            playerEntity.playerNetServerHandler.sendPacket(new PacketChat(TextFormatting.RED + e.getMessage(), AES.keyChain.get(playerEntity.username)));
+            this.playerEntity.playerNetServerHandler.sendPacket(new PacketChat(TextFormatting.RED + e.getMessage(), AES.keyChain.get(this.playerEntity.username)));
         }
     }
 
     @Override
-    public void handleAnimation(PacketAnimate packet)
-    {
-        if (!playerEntity.isAlive()) return;
-        if (packet.animate == 1)
-        {
-            playerEntity.swingItem();
+    public void handleAnimation(@NotNull PacketAnimate packet) {
+        if (!this.playerEntity.isAlive()) return;
+        if (packet.animate == 1) {
+            this.playerEntity.swingItem();
         }
     }
 
     @Override
-    public void handlePlayerState(PacketUpdatePlayerState updatePlayerStatePacket)
-    {
-        if (!playerEntity.isAlive()) return;
-        if (updatePlayerStatePacket.state == PacketUpdatePlayerState.STATE_SNEAK)
-        {
-            playerEntity.setSneaking(true);
-            if (playerEntity.vehicle != null) {
-                playerEntity.vehicle.ejectRider();
+    public void handleUpdatePlayerState(@NotNull PacketUpdatePlayerState packetUpdatePlayerState) {
+        if (!this.playerEntity.isAlive()) return;
+        if (packetUpdatePlayerState.state == PacketUpdatePlayerState.STATE_SNEAK) {
+            this.playerEntity.setSneaking(true);
+            if (this.playerEntity.vehicle != null) {
+                this.playerEntity.vehicle.ejectRider();
             }
-        }
-        else if (updatePlayerStatePacket.state == PacketUpdatePlayerState.STATE_UN_SNEAK)
-        {
-            playerEntity.setSneaking(false);
-        }
-        else if (updatePlayerStatePacket.state == PacketUpdatePlayerState.STATE_LEAVE_BED)
-        {
-            playerEntity.wakeUpPlayer(false, true);
-            hasMoved = false;
+        } else if (packetUpdatePlayerState.state == PacketUpdatePlayerState.STATE_UN_SNEAK) {
+            this.playerEntity.setSneaking(false);
+        } else if (packetUpdatePlayerState.state == PacketUpdatePlayerState.STATE_LEAVE_BED) {
+            this.playerEntity.wakeUpPlayer(false, true);
+            this.hasMoved = false;
         }
     }
+
     @Override
-    public void handleBoatControl(PacketBoatControl boatControlPacket)
-    {
-        if (!canInteract() || Double.isNaN(boatControlPacket.targetXD) || Double.isNaN(boatControlPacket.targetZD)) return;
-        if (playerEntity.vehicle != null && playerEntity.vehicle instanceof EntityBoat) {
-            EntityBoat boat = (EntityBoat) playerEntity.vehicle;
-            boat.handleControlDirect(boatControlPacket.targetXD, boatControlPacket.targetZD, boatControlPacket.targetYRot);
-            boatControlPacket.entityId = boat.id;
-            mcServer.playerList.sendPacketToOtherPlayersAroundPoint(playerEntity,boat.x, boat.y, boat.z, 128, boat.world.dimension.id, boatControlPacket);
+    public void handleBoatControl(@NotNull PacketBoatControl packetBoatControl) {
+        if (!canInteract() || Double.isNaN(packetBoatControl.targetXD) || Double.isNaN(packetBoatControl.targetZD))
+            return;
+        if (this.playerEntity.vehicle != null && this.playerEntity.vehicle instanceof EntityBoat boat) {
+            boat.handleControlDirect(packetBoatControl.targetXD, packetBoatControl.targetZD, packetBoatControl.targetYRot);
+            packetBoatControl.entityId = boat.id;
+            this.mcServer.playerList.sendPacketToOtherPlayersAroundPoint(this.playerEntity, boat.x, boat.y, boat.z, 128, boat.world.dimension.id, packetBoatControl);
         }
     }
 
     @Override
-    public void handleKickDisconnect(PacketDisconnect packet)
-    {
-        netManager.networkShutdown("disconnect.quitting", new Object[0]);
+    public void handleDisconnect(@NotNull PacketDisconnect packetDisconnect) {
+        this.netManager.networkShutdown("disconnect.quitting", new Object[0]);
     }
 
-    public int getNumChunkDataPackets()
-    {
-        return netManager.getNumChunkDataPackets();
+    public int getNumChunkDataPackets() {
+        return this.netManager.getNumChunkDataPackets();
     }
 
     @Override
-    public void logInfo(String s)
-    {
+    public void logInfo(String s) {
         sendPacket(new PacketChat("\2477" + s));
     }
 
     @Override
-    public String getUsername()
-    {
-        return playerEntity.username;
+    public String getUsername() {
+        return this.playerEntity.username;
     }
 
     @Override
-    public void handleUseEntity(PacketInteract interactPacket)
-    {
-        if (!playerEntity.getGamemode().canInteract() || !playerEntity.isAlive()) return;
-        WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
-        Entity targetEntity = worldserver.getEntityFromId(interactPacket.targetEntityID);
-        if (targetEntity != null && playerEntity.distanceToSqr(targetEntity) < 36D)
-        {
-            boolean canAttack = playerEntity.canEntityBeSeen(targetEntity);
-
-            if (!canAttack)
-            {
-                float f1 = MathHelper.cos(-playerEntity.yRot * 0.01745329F - MathHelper.PI);
-                float f2 = MathHelper.sin(-playerEntity.yRot * 0.01745329F - MathHelper.PI);
-                float f3 = -MathHelper.cos(-playerEntity.xRot * 0.01745329F);
-                float f4 = MathHelper.sin(-playerEntity.xRot * 0.01745329F);
-
-                Vec3 viewVector = Vec3.fromPool(f2 * f3, f4, f1 * f3);
-
-                viewVector.x *= 8;
-                viewVector.y *= 8;
-                viewVector.z *= 8;
-                viewVector.x += playerEntity.x;
-                viewVector.y += playerEntity.y;
-                viewVector.z += playerEntity.z;
-
-                Vec3 playerViewPos = Vec3.fromPool(playerEntity.x, playerEntity.y + playerEntity.getHeadHeight(), playerEntity.z);
-
-                HitResult movingObjectPosition = targetEntity.bb.clip(playerViewPos, viewVector);
+    public void handleEntityInteract(@NotNull PacketEntityInteract packetEntityInteract) {
+        if (!this.playerEntity.getGamemode().canInteract() || !this.playerEntity.isAlive()) return;
+        WorldServer worldserver = this.mcServer.getDimensionWorld(this.playerEntity.dimension);
+        Entity targetEntity = worldserver.getEntityFromId(packetEntityInteract.targetEntityID);
+        if (targetEntity != null && this.playerEntity.distanceToSqr(targetEntity) < 36D) {
+            boolean canAttack = this.playerEntity.canEntityBeSeen(targetEntity);
+
+            if (!canAttack) {
+                float f1 = MathHelper.cos(-this.playerEntity.yRot * 0.01745329F - MathHelper.PI);
+                float f2 = MathHelper.sin(-this.playerEntity.yRot * 0.01745329F - MathHelper.PI);
+                float f3 = -MathHelper.cos(-this.playerEntity.xRot * 0.01745329F);
+                float f4 = MathHelper.sin(-this.playerEntity.xRot * 0.01745329F);
+
+                Vector3d viewVector = new Vector3d(f2 * f3, f4, f1 * f3);
+
+                viewVector.mul(8);
+                viewVector.add(this.playerEntity.x, this.playerEntity.y, this.playerEntity.z);
+
+                Vector3dc playerViewPos = new Vector3d(this.playerEntity.x, this.playerEntity.y + this.playerEntity.getHeadHeight(), this.playerEntity.z);
+
+                HitResult movingObjectPosition = MathHelper.aabbClip(targetEntity.bb, playerViewPos, viewVector);
 
                 canAttack = movingObjectPosition != null && worldserver.checkBlockCollisionBetweenPoints(playerViewPos, movingObjectPosition.location) == null;
             }
-            if (canAttack)
-            {
-                if (interactPacket.action == PacketInteract.ACTION_INTERACT)
-                {
-                    playerEntity.useCurrentItemOnEntity(targetEntity);
-                }
-                else if (interactPacket.action == PacketInteract.ACTION_ATTACK)
-                {
-                    playerEntity.attackTargetEntityWithCurrentItem(targetEntity);
+            if (canAttack) {
+                if (packetEntityInteract.action == PacketEntityInteract.ACTION_INTERACT) {
+                    this.playerEntity.useCurrentItemOnEntity(targetEntity);
+                } else if (packetEntityInteract.action == PacketEntityInteract.ACTION_ATTACK) {
+                    this.playerEntity.attackTargetEntityWithCurrentItem(targetEntity);
                 }
             }
         }
     }
 
     @Override
-    public void handleOpenGuidebook(PacketGuidebook packet)
-    {
-        playerEntity.displayGUIGuidebook();
+    public void handleGuidebook(@NotNull PacketGuidebook packet) {
+        this.playerEntity.displayGUIGuidebook();
     }
 
     @Override
-    public void handleRespawn(PacketRespawn packet)
-    {
-        if (playerEntity.getHealth() <= 0) {
-            playerEntity = mcServer.playerList.recreatePlayerEntity(playerEntity, 0);
+    public void handleRespawn(@NotNull PacketRespawn packet) {
+        if (this.playerEntity.getHealth() <= 0) {
+            this.playerEntity = this.mcServer.playerList.recreatePlayerEntity(this.playerEntity, 0);
         }
     }
 
     @Override
-    public void handleCloseWindow(PacketContainerClose containerClosePacket)
-    {
-        playerEntity.closeCraftingGui();
+    public void handleContainerClose(@NotNull PacketContainerClose packetContainerClose) {
+        this.playerEntity.closeCraftingGui();
     }
 
     @Override
-    public void handleWindowClick(PacketContainerClick containerClickPacket)
-    {
-        if (playerEntity.craftingInventory.containerId == containerClickPacket.window_Id && playerEntity.craftingInventory.isSynched(playerEntity))
-        {
-            ItemStack itemstack = playerEntity.craftingInventory.clicked(containerClickPacket.action, containerClickPacket.args, playerEntity);
-            if (ItemStack.areItemStacksEqual(containerClickPacket.itemStack, itemstack))
-            {
-                playerEntity.playerNetServerHandler.sendPacket(new PacketContainerAck(containerClickPacket.window_Id, containerClickPacket.actionId, true));
-                playerEntity.isChangingQuantityOnly = true;
-                playerEntity.craftingInventory.broadcastChanges();
-                playerEntity.updateHeldItem();
-                playerEntity.isChangingQuantityOnly = false;
-            }
-            else
-            {
-                guiIdMap.put(playerEntity.craftingInventory.containerId, containerClickPacket.actionId);
-                playerEntity.playerNetServerHandler.sendPacket(new PacketContainerAck(containerClickPacket.window_Id, containerClickPacket.actionId, false));
-                playerEntity.craftingInventory.setSynched(playerEntity, false);
+    public void handleContainerClick(@NotNull PacketContainerClick packetContainerClick) {
+        if (this.playerEntity.craftingInventory.containerId == packetContainerClick.window_Id && this.playerEntity.craftingInventory.isSynched(this.playerEntity)) {
+            ItemStack itemstack = this.playerEntity.craftingInventory.clicked(packetContainerClick.action, packetContainerClick.args, this.playerEntity);
+            if (ItemStack.areItemStacksEqual(packetContainerClick.itemStack, itemstack)) {
+                this.playerEntity.playerNetServerHandler.sendPacket(new PacketContainerAck(packetContainerClick.window_Id, packetContainerClick.actionId, true));
+                this.playerEntity.isChangingQuantityOnly = true;
+                this.playerEntity.craftingInventory.broadcastChanges();
+                this.playerEntity.updateHeldItem();
+                this.playerEntity.isChangingQuantityOnly = false;
+            } else {
+                this.guiIdMap.put(this.playerEntity.craftingInventory.containerId, packetContainerClick.actionId);
+                this.playerEntity.playerNetServerHandler.sendPacket(new PacketContainerAck(packetContainerClick.window_Id, packetContainerClick.actionId, false));
+                this.playerEntity.craftingInventory.setSynched(this.playerEntity, false);
                 ArrayList<ItemStack> arraylist = new ArrayList<>();
-                for (int i = 0; i < playerEntity.craftingInventory.slots.size(); i++)
-                {
-                    arraylist.add(playerEntity.craftingInventory.slots.get(i).getItemStack());
+                for (int i = 0; i < this.playerEntity.craftingInventory.slots.size(); i++) {
+                    arraylist.add(this.playerEntity.craftingInventory.slots.get(i).getItemStack());
                 }
 
-                playerEntity.updateCraftingInventory(playerEntity.craftingInventory, arraylist);
+                this.playerEntity.updateCraftingInventory(this.playerEntity.craftingInventory, arraylist);
             }
         }
     }
 
     @Override
-    public void handleTransaction(PacketContainerAck packet)
-    {
-        Short short1 = guiIdMap.get(playerEntity.craftingInventory.containerId);
-        if (short1 != null && packet.shortWindowId == short1 && playerEntity.craftingInventory.containerId == packet.windowId && !playerEntity.craftingInventory.isSynched(playerEntity))
-        {
-            playerEntity.craftingInventory.setSynched(playerEntity, true);
+    public void handleContainerAck(@NotNull PacketContainerAck packet) {
+        short short1 = this.guiIdMap.get(this.playerEntity.craftingInventory.containerId);
+        if (packet.shortWindowId == short1 && this.playerEntity.craftingInventory.containerId == packet.windowId && !this.playerEntity.craftingInventory.isSynched(this.playerEntity)) {
+            this.playerEntity.craftingInventory.setSynched(this.playerEntity, true);
         }
     }
 
     @Override
-    public void handleUpdateSign(PacketSignUpdate signUpdatePacket)
-    {
-        if (!playerEntity.getGamemode().canInteract() || !playerEntity.isAlive()) return;
-        WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
-        if (worldserver.isBlockLoaded(signUpdatePacket.xPosition, signUpdatePacket.yPosition, signUpdatePacket.zPosition))
-        {
-            TileEntity tileEntity = worldserver.getTileEntity(signUpdatePacket.xPosition, signUpdatePacket.yPosition, signUpdatePacket.zPosition);
-            if (tileEntity instanceof TileEntitySign)
-            {
-                TileEntitySign sign = (TileEntitySign) tileEntity;
-                if (!sign.isEditableBy(playerEntity))
-                {
-                    LOGGER.warn("Player {} just tried to change non-editable sign", playerEntity.username);
+    public void handleSignUpdate(@NotNull PacketSignUpdate packetSignUpdate) {
+        if (!this.playerEntity.getGamemode().canInteract() || !this.playerEntity.isAlive()) return;
+        WorldServer worldserver = this.mcServer.getDimensionWorld(this.playerEntity.dimension);
+        if (worldserver.isBlockLoaded(packetSignUpdate.xPosition, packetSignUpdate.yPosition, packetSignUpdate.zPosition)) {
+            TileEntity tileEntity = worldserver.getTileEntity(packetSignUpdate.xPosition, packetSignUpdate.yPosition, packetSignUpdate.zPosition);
+            if (tileEntity instanceof TileEntitySign sign) {
+                if (!sign.isEditableBy(this.playerEntity)) {
+                    LOGGER.warn("Player {} just tried to change non-editable sign", this.playerEntity.username);
                     return;
                 }
             }
-            for (int i = 0; i < 4; i++)
-            {
+            for (int i = 0; i < 4; i++) {
                 boolean isLineValid = true;
-                if (signUpdatePacket.signLines[i].length() > 15)
-                {
+                if (packetSignUpdate.signLines[i].length() > 15) {
                     isLineValid = false;
-                }
-                else
-                {
-                    signUpdatePacket.signLines[i] = signUpdatePacket.signLines[i].replaceAll("§", "$");
-                    for (int l = 0; l < signUpdatePacket.signLines[i].length(); l++)
-                    {
-                        if (ChatAllowedCharacters.ALLOWED_CHARACTERS.indexOf(signUpdatePacket.signLines[i].charAt(l)) < 0)
-                        {
+                } else {
+                    packetSignUpdate.signLines[i] = packetSignUpdate.signLines[i].replaceAll("§", "$");
+                    for (int l = 0; l < packetSignUpdate.signLines[i].length(); l++) {
+                        if (ChatAllowedCharacters.ALLOWED_CHARACTERS.indexOf(packetSignUpdate.signLines[i].charAt(l)) < 0) {
                             isLineValid = false;
                             break;
                         }
                     }
                 }
-                if (!isLineValid)
-                {
-                    signUpdatePacket.signLines[i] = "!?";
+                if (!isLineValid) {
+                    packetSignUpdate.signLines[i] = "!?";
                 }
             }
 
-            if (tileEntity instanceof TileEntitySign)
-            {
-                int x = signUpdatePacket.xPosition;
-                int y = signUpdatePacket.yPosition;
-                int z = signUpdatePacket.zPosition;
-                TileEntitySign sign = (TileEntitySign) tileEntity;
-                System.arraycopy(signUpdatePacket.signLines, 0, sign.signText, 0, 4);
+            if (tileEntity instanceof TileEntitySign sign) {
+                int x = packetSignUpdate.xPosition;
+                int y = packetSignUpdate.yPosition;
+                int z = packetSignUpdate.zPosition;
+                System.arraycopy(packetSignUpdate.signLines, 0, sign.signText, 0, 4);
 
-                sign.setColor(TextFormatting.FORMATTINGS[signUpdatePacket.color]);
-                sign.setPicture(EnumSignPicture.values()[signUpdatePacket.picture]);
+                sign.setColor(TextFormatting.FORMATTINGS[packetSignUpdate.color]);
+                sign.setPicture(EnumSignPicture.values()[packetSignUpdate.picture]);
 
                 sign.setChanged();
                 worldserver.markBlockNeedsUpdate(x, y, z);
